#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - lhasa preinstallation
#
# Creation   :  2024-02-20 holbru
# Last update:  $Id: preinstall.sh 109456 2024-02-21 10:11:32Z hbfl $
#
# Copyright (c) 2024-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=lhasa

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with lha
installed=$(/usr/bin/eisman check lha)

if [ "${installed}" != "not-installed" ]
then
    /usr/bin/eisman uninstall --auto --force lha
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
